Summary: Tools to support ATM networking under Linux.
Name: linux-atm
Version: 2.5.0
Release: 0.20050118
License: BSD, GPL, LGPL
URL: http://linux-atm.sourceforge.net/
Group: System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
# Older kernel headers had broken ATM includes
BuildRequires: glibc-kernheaders >= 2.4-9.1.88
Source: linux-atm-2.5.0-20050118.tar.gz
Patch0: linux-atm-2.5.0-br2684log.patch

%description
Tools to support ATM networking under Linux.

%package libs
Summary: Linux ATM API library
Group: System Environment/Libraries

%description libs
This package contains the ATM library required for userspace ATM tools.

%package libs-devel
Summary: Development files for Linux ATM API library
Group: Development/Libraries
Requires: linux-atm-libs = %{version}
Requires: glibc-kernheaders >= 2.4-9.1.88

%description libs-devel
This package contains header files and libraries for development using the
Linux ATM API.

%prep
%setup -q -n linux-atm
%patch0 -p0

%build
./autotools
%{configure}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT/%{_libdir}/libatm.la
install -c -m 644 src/config/hosts.atm $RPM_BUILD_ROOT/etc

%clean
rm -rf $RPM_BUILD_ROOT

%files libs
%defattr(-, root, root)
%{_libdir}/libatm.so.*

%files libs-devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/libatm.so
%{_libdir}/libatm.a

%files 
%defattr(-, root, root)
%doc AUTHORS BUGS ChangeLog COPYING COPYING.GPL COPYING.LGPL
%doc INSTALL NEWS README THANKS
%doc doc/ src/config/init-redhat/ src/extra/ANS
%{_bindir}/*
%{_sbindir}/*
%config /etc/atmsigd.conf
%{_mandir}/man4/*
%{_mandir}/man8/*
%{_mandir}/man7/*
%config /etc/hosts.atm

%changelog
* Wed Sep 29 2004 David Woodhouse <dwmw2@redhat.com> 2.4.1-4
- Fix duplicate files in libs and main packages

* Wed Sep 29 2004 David Woodhouse <dwmw2@redhat.com> 2.4.1-3
- Fix labels at end of compound statement

* Thu Jul 1 2004 David Woodhouse <dwmw2@redhat.com> 2.4.1-2
- Add patch to work around FC2 glibc-kernheaders breakage

* Wed Jun 30 2004 David Woodhouse <dwmw2@redhat.com> 2.4.1-1
- Build for Fedora

* Fri Sep 14 2001 Paul Schroeder <paulsch@us.ibm.com>
- First build of linux-atm RPM.
